namespace IRaCIS.Core.Domain.Models;


[Comment("医生 - 简历|证书 文档表")]
[Table("Attachment")]
public class Attachment : BaseAddAuditEntity
{

    [JsonIgnore]
    public Doctor Doctor { get; set; }

    [Comment("编码")]
    public string Code { get; set; } = null!;

    public Guid DoctorId { get; set; }

    [Comment("过期时间")]
    public DateTime? ExpiryDate { get; set; }

    public string FileName { get; set; } = null!;

    [Comment("是否正式简历")]
    public bool IsOfficial { get; set; }

    [Comment("1 中文 2为英文")]
    public int Language { get; set; }

    [StringLength(1000)]
    public string Path { get; set; } = null!;

    [Comment("文件类型名")]
    public string Type { get; set; } = null!;
}
